indexing
   title:       "What time/date is it now? (Patched for Eiffel/S 1.3)"
   cluster:     "timedate/sig [timedate/sig]";
   project:     "The Universal Time & Date UTDC";
   copyright:   "SIG Computer, 1995";
   author:      "Andy Malakov (andy@eiffel.ru)";
   original:    26,Sep,95
   version:     1.0
   done_at:     "SIG Computer (info@eiffel.ru)";
   extrnl_name: "now.e";

class NOW

feature

   time : SYSTEM_TIME is once !!Result end;

   time_now : SYSTEM_TIME is do time.to_date (time.now) Result := time end;


   --year:    INTEGER is do Result := time_now.year end;
   -- !!! Due to BUG in Eiffel/S 1.3 RunTime library
   --     Class SYSTEM_TIME method now
   --     We must correct year
   year:    INTEGER is do Result := time_now.year - 2 end;

   month:   INTEGER is do Result := time_now.month  end;
   day:     INTEGER is do Result := time_now.day    end;
   hour:    INTEGER is do Result := time_now.hour   end;
   minute:  INTEGER is do Result := time_now.minute end;
   second:  INTEGER is do Result := time_now.second end;

end -- NOW

